org.apache.ignite.internal.processors.cache.distributed.near

## Class GridNearTxFinishRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheIdMessage
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage
      - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest
        - - org.apache.ignite.internal.processors.cache.distributed.near.GridNearTxFinishRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, IgniteTxStateAware, GridCacheVersionable, Message

    public class GridNearTxFinishRequest
    extends GridDistributedTxFinishRequest

Near transaction finish request.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest

`CHECK_COMMITTED_FLAG_MASK, EXPLICIT_LOCK_FLAG_MASK, NEED_RETURN_VALUE_FLAG_MASK, STORE_ENABLED_FLAG_MASK, SYS_INVALIDATE_FLAG_MASK, WAIT_REMOTE_TX_FLAG_MASK`

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`ver`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheId`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridNearTxFinishRequest()` Empty constructor required for `Externalizable`.

`GridNearTxFinishRequest(IgniteUuid futId, GridCacheVersion xidVer, long threadId, boolean commit, boolean invalidate, boolean sys, byte plc, CacheWriteSynchronizationMode syncMode, boolean explicitLock, boolean storeEnabled, AffinityTopologyVersion topVer, GridCacheVersion baseVer, Collection<GridCacheVersion> committedVers, Collection<GridCacheVersion> rolledbackVers, int txSize, UUID subjId, int taskNameHash, boolean addDepInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`boolean` `explicitLock()`
`byte` `fieldsCount()` Gets fields count.
`int` `miniId()`
`void` `miniId(int miniId)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `storeEnabled()`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest

`baseVersion, commit, commitVersion, futureId, isFlag, isInvalidate, messageLogger, policy, replyRequired, setFlag, subjectId, syncMode, system, taskNameHash, threadId, topologyVersion, txSize, txState, txState`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`addDeploymentInfo, committedVersions, completedVersions, rolledbackVersions, version, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheGroupMessage, cacheId, cacheId, handlerId`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partition, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridNearTxFinishRequest

    public GridNearTxFinishRequest()

Empty constructor required for `Externalizable`.

#### GridNearTxFinishRequest

    public GridNearTxFinishRequest(IgniteUuid futId,
                                   GridCacheVersion xidVer,
                                   long threadId,
                                   boolean commit,
                                   boolean invalidate,
                                   boolean sys,
                                   byte plc,
                                   CacheWriteSynchronizationMode syncMode,
                                   boolean explicitLock,
                                   boolean storeEnabled,
                                   @NotNull
                                   AffinityTopologyVersion topVer,
                                   GridCacheVersion baseVer,
                                   Collection<GridCacheVersion> committedVers,
                                   Collection<GridCacheVersion> rolledbackVers,
                                   int txSize,
                                   @Nullable
                                   UUID subjId,
                                   int taskNameHash,
                                   boolean addDepInfo)

Parameters:
  `futId` - Future ID.
  `xidVer` - Transaction ID.
  `threadId` - Thread ID.
  `commit` - Commit flag.
  `invalidate` - Invalidate flag.
  `sys` - System flag.
  `plc` - IO policy.
  `syncMode` - Write synchronization mode.
  `explicitLock` - Explicit lock flag.
  `storeEnabled` - Store enabled flag.
  `topVer` - Topology version.
  `baseVer` - Base version.
  `committedVers` - Committed versions.
  `rolledbackVers` - Rolled back versions.
  `txSize` - Expected transaction size.
  `subjId` - Subject ID.
  `taskNameHash` - Task name hash.
  `addDepInfo` - Deployment info flag.

### Method Detail

#### explicitLock

    public boolean explicitLock()

Returns:
  Explicit lock flag.

#### storeEnabled

    public boolean storeEnabled()

Returns:
  Store enabled flag.

#### miniId

    public int miniId()

Returns:
  Mini future ID.

#### miniId

    public void miniId(int miniId)

Parameters:
  `miniId` - Mini future ID.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedTxFinishRequest`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedTxFinishRequest`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridDistributedTxFinishRequest`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridDistributedTxFinishRequest`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedTxFinishRequest`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018